Bug 820186 - [ovirt] [vdsm] unable to run vm with spice console: /etc/pki/vdsm/libvirt-spice/server-cert.pem is not readable to qemu
[ovirt] [vdsm] unable to run vm with spice console: /etc/pki/vdsm/libvirt-spi...
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Federico Simoncelli
Depends On:
Blocks: 840645
  Show dependency treegraph
Reported: 2012-05-09 07:15 EDT by Haim
Modified: 2014-01-12 19:51 EST (History)
11 users (show)

See Also:
Fixed In Version: v4.10.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 840645 (view as bug list)
Last Closed: 2012-07-21 18:16:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Haim 2012-05-09 07:15:13 EDT
Description of problem:

There is a problem with vds_installer: after host installation (RHEL6.3), I can't run vm with spice console attached. 
libvirt fails with the following error:

 Thread-792::ERROR::2012-05-09 12:07:17,633::vm::602::vm.Vm::(_startUnderlyingVm) vmId=`28fdeb28-23c3-43d0-b344-446c150d87e5`::The vm start process failed
Traceback (most recent call last):
  File "/usr/share/vdsm/vm.py", line 568, in _startUnderlyingVm
  File "/usr/share/vdsm/libvirtvm.py", line 1350, in _run
    self._connection.createXML(domxml, flags),
  File "/usr/lib/python2.6/site-packages/vdsm/libvirtconnection.py", line 82, in wrapper
    ret = f(*args, **kwargs)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 2486, in createXML
    if ret is None:raise libvirtError('virDomainCreateXML() failed', conn=self)
libvirtError: internal error process exited while connecting to monitor: char device redirected to /dev/pts/2
do_spice_init: starting 0.10.1

xml looks like: 

<domain type="kvm">
                <channel type="unix">
                        <target name="com.redhat.rhevm.vdsm" type="virtio"/>
                        <source mode="bind" path="/var/lib/libvirt/qemu/channels/vm_2_vm_kaka.com.redhat.rhevm.vdsm"/>
                <input bus="ps2" type="mouse"/>
                <channel type="spicevmc">
                        <target name="com.redhat.spice.0" type="virtio"/>
                <graphics autoport="yes" keymap="en-us" listen="0" passwd="*****" passwdValidTo="1970-01-01T00:00:01" port="-1" tlsPort="-1" type="spice">
                        <channel mode="secure" name="main"/>
                        <channel mode="secure" name="inputs"/>
                <console type="pty">
                        <target port="0" type="virtio"/>
                <memballoon model="none"/>
                <controller index="0" ports="16" type="virtio-serial"/>
                        <model heads="1" type="qxl" vram="65536"/>
                <disk device="disk" snapshot="no" type="block">
                        <source dev="/rhev/data-center/694cad94-9904-11e1-b249-ff853ff83f55/8db25992-bacc-4a24-ae03-c288112db1b9/images/3b2df534-d669-4848-aea0-9a166edb174b/1faa1d34-f13d-454c-b472-0f963d6b063e"/>
                        <target bus="virtio" dev="vda"/>
                        <driver cache="none" error_policy="stop" io="native" name="qemu" type="raw"/>
                <disk device="cdrom" snapshot="no" type="file">
                        <source file="" startupPolicy="optional"/>
                        <target bus="ide" dev="hdc"/>
                <type arch="x86_64" machine="pc">hvm</type>
                <boot dev="hd"/>
                <smbios mode="sysinfo"/>
        <sysinfo type="smbios">
                        <entry name="manufacturer">Red Hat</entry>
                        <entry name="product">RHEV Hypervisor</entry>
                        <entry name="version">6Server-</entry>
                        <entry name="serial">38373035-3536-4247-3830-33333434394D_78:E7:D1:E4:8E:DA</entry>
                        <entry name="uuid">28fdeb28-23c3-43d0-b344-446c150d87e5</entry>
        <clock adjustment="0" offset="variable">
                <timer name="rtc" tickpolicy="catchup"/>
        <cpu match="exact">
                <topology cores="1" sockets="1" threads="1"/>

permission on file is 0700
Comment 1 Dan Kenigsberg 2012-05-30 11:05:33 EDT
vdsm version, please?

That reminds me very much of http://gerrit.ovirt.org/4250
Comment 3 Dan Kenigsberg 2012-07-21 18:16:19 EDT
I understand that this is indeed the same issue as suggested in comment 1. Please reopen if there's anything else. But do not open without specifying the version of vdsm - this is a piece of information that lessens the amount of guesswork.

Note You need to log in before you can comment on or make changes to this bug.